<template>
    <div
        class="tab-pane fade"
        id="pills-paypal-button"
        role="tabpanel"
        aria-labelledby="pills-paypal-tab-button"
    >
        <div id="smart-button-container">
            <div
                style="text-align: center; margin-top: 0.625rem;"
                id="paypal-button-container"
            ></div>
        </div>
    </div>
</template>
<script>
export default {
    created() {},
    async mounted() {
        await this.setPaypal();
    },
    data() {
        return {};
    },
    methods: {
        setPaypal() {
            let a = sessionStorage.getItem("active");
            let p = sessionStorage.getItem("pay");
            p = JSON.parse(p);
            console.log(p.id,p.id.toString());
            paypal
                .Buttons({
                    style: {
                        color: "gold",
                        shape: "rect",
                        label: "paypal",
                        layout: "vertical"
                    },

                    onInit: function(data, actions) {
                        actions.enable();
                    },

                    createOrder: function(data, actions) {
                        return actions.order.create({
                            purchase_units: [
                                {
                                    amount: {
                                        value: p.price
                                    },
                                    description:
                                        "Planilla de inscripción " + p.id,
                                    // invoice_id: p.id.toString()
                                }
                            ]
                        });
                    },

                    onApprove: async function(data, actions) {
                        console.log(data);
                        return await actions.order.capture().then(function(details) {
                            console.log(details);
                            alert(
                                "Transaction completed by " +
                                    details.payer.name.given_name +
                                    "!"
                            );
                        });
                    },

                    onError: function(err) {
                        console.log(err);
                    }
                })
                .render("#paypal-button-container");
        }
    }
};
</script>
